Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 791589 (CVE-2021-33586) - <net-irc/inspircd-3.10.0: memory disclosure vulnerability (CVE-2021-33586)
Summary: <net-irc/inspircd-3.10.0: memory disclosure vulnerability (CVE-2021-33586)
Status: RESOLVED FIXED
Alias: CVE-2021-33586
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://docs.inspircd.org/security/20...
Whiteboard: B4 [glsa+ cve]
Keywords: PullRequest
Depends on:
Blocks:
 
Reported: 2021-05-23 08:37 UTC by Wade Cline
Modified: 2021-07-09 02:57 UTC (History)
2 users (show)

See Also:
Package list:
net-irc/inspircd-3.10.0
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wade Cline 2021-05-23 08:37:27 UTC
https://docs.inspircd.org/security/2021-01/

Partial PR: https://github.com/gentoo/gentoo/pull/20942

Not removing old due to stabilization.
Comment 1 Larry the Git Cow gentoo-dev 2021-05-28 03:14:52 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8651d910c504a5685f6a33f8c82274887b431251

commit 8651d910c504a5685f6a33f8c82274887b431251
Author:     Wade Cline <wadecline@hotmail.com>
AuthorDate: 2021-05-23 07:26:46 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-05-28 03:14:41 +0000

    net-irc/inspircd: Add 3.10.0
    
    Package-Manager: Portage-3.0.18, Repoman-3.0.2
    RepoMan-Options: --force
    Bug: https://bugs.gentoo.org/791589
    Signed-off-by: Wade Cline <wadecline@hotmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/20942
    Signed-off-by: Sam James <sam@gentoo.org>

 net-irc/inspircd/Manifest                          |   1 +
 .../files/inspircd-3.10.0-fix-path-builds.patch    | 493 +++++++++++++++++++++
 net-irc/inspircd/inspircd-3.10.0.ebuild            | 121 +++++
 3 files changed, 615 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=62d0599e45cb081e742b72116210de5116f4d5ab

commit 62d0599e45cb081e742b72116210de5116f4d5ab
Author:     Wade Cline <wadecline@hotmail.com>
AuthorDate: 2021-05-23 04:50:01 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-05-28 03:14:40 +0000

    net-irc/inspircd: Drop old
    
    Package-Manager: Portage-3.0.18, Repoman-3.0.2
    Bug: https://bugs.gentoo.org/791589
    Signed-off-by: Wade Cline <wadecline@hotmail.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 net-irc/inspircd/Manifest                          |   1 -
 .../files/inspircd-3.7.0-fix-path-builds.patch     | 338 ---------------------
 net-irc/inspircd/inspircd-3.8.1.ebuild             | 121 --------
 3 files changed, 460 deletions(-)
Comment 2 Sam James archtester gentoo-dev Security 2021-05-28 03:15:51 UTC
Let's stable now, if that's okay.
Comment 3 NATTkA bot gentoo-dev 2021-05-28 03:20:24 UTC Comment hidden (obsolete)
Comment 4 Agostino Sarubbo gentoo-dev 2021-05-28 12:02:21 UTC
amd64 stable
Comment 5 Agostino Sarubbo gentoo-dev 2021-05-28 12:05:58 UTC
x86 stable.

Maintainer(s), please cleanup.
Security, please vote.
Comment 6 Larry the Git Cow gentoo-dev 2021-05-31 08:20:01 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2a07167f0bb8ee125b1281c8a96a74a760ef5c82

commit 2a07167f0bb8ee125b1281c8a96a74a760ef5c82
Author:     Wade Cline <wadecline@hotmail.com>
AuthorDate: 2021-05-29 18:38:45 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-05-31 08:15:38 +0000

    net-irc/inspircd: Drop 3.9.0
    
    Bug: https://bugs.gentoo.org/791589
    Package-Manager: Portage-3.0.18, Repoman-3.0.2
    Signed-off-by: Wade Cline <wadecline@hotmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/21040
    Signed-off-by: Sam James <sam@gentoo.org>

 net-irc/inspircd/Manifest                          |   1 -
 .../files/inspircd-3.9.0-fix-path-builds.patch     | 384 ---------------------
 net-irc/inspircd/inspircd-3.9.0.ebuild             | 121 -------
 3 files changed, 506 deletions(-)
Comment 7 GLSAMaker/CVETool Bot gentoo-dev 2021-07-09 02:57:04 UTC
This issue was resolved and addressed in
 GLSA 202107-22 at https://security.gentoo.org/glsa/202107-22
by GLSA coordinator Sam James (sam_c).